#!/bin/sh
#
#	@(#)dpkey7.sh 1.01 2001/10/10
#	(c) Copyright OMRON SOFTWARE Co., Ltd. 2001
#

pid=`ps -a | grep dpkeyserv | grep -v grep | sed -e 's/^  *//' -e 's/ .*//'`

case $1 in
'start')
	if [ "${pid}" = "" ]
	then
		if [ -x /usr/local/bin/dpkeyserv ]
		then
			/usr/local/bin/dpkeyserv > /dev/null
			echo -n ' dpkeyserv'
		else
			echo -n " dpkeyserv non exist"
		fi
	else
		echo -n " dpkeyserv already started"
	fi
	;;
'stop')
	if [ "${pid}" != "" ]
	then
		/bin/kill ${pid}
		echo ' dpkeyserv stopped'
	fi
	;;
*)
	echo "usage: /usr/local/etc/rc.d/dpkey7.sh {start|stop}"
	;;
esac
